Game Develop Core: gd::ChooseVariableDialog Class Reference

| Game Develop Core Core library for developing platforms and tools compatible with Game Develop.

- Main Page
- Modules
- Classes

- Class List
- Class Index
- Class Hierarchy

All Classes Files Functions Variables Typedefs Enumerations Macros Groups Pages
Public Member Functions | Public Attributes | Static Protected Attributes | List of all members
gd::ChooseVariableDialog Class Reference
IDE Dialogs ( Pre-made dialogs to be used to implement a development environment )

Dialog used to display variables of a gd::VariablesContainer, edit them and/or choose one. More...

`#include <ChooseVariableDialog.h>`

Inheritance diagram for gd::ChooseVariableDialog:
[legend]

## Public Member Functions

| ChooseVariableDialog (wxWindow *parent, gd::VariablesContainer &variablesContainer, bool editingOnly=false)
| Default constructor. More...
void | SetAssociatedProject (const gd::Project *project)
| Specify an optional associated project. More...
void | SetAssociatedLayout (const gd::Project *project, const gd::Layout *layout)
| Specify an optional associated layout. More...
std::string | GetSelectedVariable () const
| Return the full name of the selected variable.
virtual | ~ChooseVariableDialog ()

## Public Attributes

wxAuiManager * | AuiManager1
wxStaticBitmap * | StaticBitmap2
wxPanel * | toolbarPanel
wxAuiToolBar * | toolbar
wxMenuItem * | MenuItem2
wxMenuItem * | MenuItem1
wxMenuItem * | MenuItem4
wxHyperlinkCtrl * | HyperlinkCtrl1
wxButton * | cancelBt
wxTreeListCtrl * | variablesList
wxStaticLine * | StaticLine2
wxMenuItem * | MenuItem3
wxMenu | contextMenu
wxButton * | okBt

## Static Protected Attributes

static const long | ID_AUITOOLBAR1 = wxNewId()
static const long | ID_PANEL1 = wxNewId()
static const long | ID_TREELISTCTRL1 = wxNewId()
static const long | ID_STATICLINE2 = wxNewId()
static const long | ID_STATICBITMAP2 = wxNewId()
static const long | ID_HYPERLINKCTRL1 = wxNewId()
static const long | ID_BUTTON1 = wxNewId()
static const long | ID_BUTTON3 = wxNewId()
static const long | ID_MENUITEM1 = wxNewId()
static const long | ID_MENUITEM2 = wxNewId()
static const long | ID_MENUITEM3 = wxNewId()
static const long | ID_MENUITEM4 = wxNewId()
static const long | idAddVar = wxNewId()
static const long | idEditVar = wxNewId()
static const long | idDelVar = wxNewId()
static const long | idMoveUpVar = wxNewId()
static const long | idRenameVar = wxNewId()
static const long | idMoveDownVar = wxNewId()
static const long | ID_Help = wxNewId()
static const long | idFindUndeclared = wxNewId()

## Detailed Description

Dialog used to display variables of a gd::VariablesContainer, edit them and/or choose one.

Also offer a nice feature to scan the associated project/layout for undeclared variables.
The dialog can be used as an editor only, see the constructor.

## Constructor & Destructor Documentation

gd::ChooseVariableDialog::ChooseVariableDialog | ( | wxWindow * | parent,
|  | gd::VariablesContainer & | variablesContainer,
|  | bool | editingOnly = `false`
| ) |  |

Default constructor.

Parameters

  parent | The parent window
  variablesContainer | A reference to the container to be used
  editingOnly | If set to true, the dialog will act as a dialog to edit the variables and not to choose one ( Double click won't close the dialog for example ).

gd::ChooseVariableDialog::~ChooseVariableDialog | ( | ) |  |

virtual

Destructor

## Member Function Documentation

void gd::ChooseVariableDialog::SetAssociatedLayout | ( | const gd::Project * | project,
|  | const gd::Layout * | layout
| ) |  |

Specify an optional associated layout.

Parameters

  project | Associated project.
  project | Associated layout. If different from NULL, layout variables from this layout will be scanned when searching for undeclared variables

void gd::ChooseVariableDialog::SetAssociatedProject | ( | const gd::Project * | project) |  |

Specify an optional associated project.

Parameters

  project | Associated project. If different from NULL, global variables from this project will be scanned when searching for undeclared variables

The documentation for this class was generated from the following files:

- ChooseVariableDialog.h
- ChooseVariableDialog.cpp